コンテンツへスキップ

Ltx 2.3 Quality · Ingredient

統合

モデルID ltx-2.3-quality/ingredient
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/ingredient?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.27 270 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Lightricks 画像から動画 ネイティブ音声参照入力 #ingredient#storyboard#video

キャラクター、プロップ、ロケーションの参照シートから画像動画を生成。音声生成も任意で指定可能

Lightricks · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

動画生成を指示するテキスト。最適な結果を得るには 'Reference sheet: ... Generated video: ...' の形式で整理してください。

•必須 image_url
ファイルをドロップ、または

保持する対象を示すIngredient参照シート画像URL。キャラクター、 props、場所がシート上の明確なパネルに表示されている必要があります。

resolution デフォルト {"height":896,"width"...

公式の2x精細化ステージ後の最終動画寸法。デフォルトでは、ワークフローの初期ステージにIngredient LoRAの学習バケット768x448を使用します。

デフォルト 121

生成する出力のフレーム数。

詳細設定 negative_prompt · video_quality · video_write_mode · frames_per_second · guidance_scale · ingredient_strength · reference_strength · seed · enable_prompt_expansion · enable_safety_checker
デフォルト worst quality, incons...

生成で避ける内容を指定するネガティブプロンプト。

video_quality デフォルト high

出力動画に適用する品質プリセット。

video_write_mode デフォルト balanced

結果動画の書き込みモード。

デフォルト 24

1秒あたりのフレーム数で表す出力動画のフレームレート。

デフォルト 1

classifier-free guidanceの強度。

デフォルト 1

含まれるIngredient IC-LoRAのこの強度を上げると、参照シートの人物や props がより目立ちます。

デフォルト 1

参照シートのガイダンス強度。下げるとモデルの自由度が増し、1.0ではシートを完全に適用します。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/ltx-2.3-quality/ingredient?wait=20 見積もり → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/ingredient?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Ltx 2.3 Quality · Ingredientについて

一貫性を保つため、キャラクター、プロップ、設定を整理した参照シートを指す `image_url` とテキスト `prompt` から動画を作成します。`ingredient_strength` と `reference_strength`(0~2)で、シートが結果に与える影響を制御します。`num_frames` は 9~481、`frames_per_second` は 1~60 で、`generate_audio` で音声をオフにできます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
動画生成を指示するテキスト。最適な結果を得るには 'Reference sheet: ... Generated video: ...' の形式で整理してください。
image_url必須 image
型url · image
保持する対象を示すIngredient参照シート画像URL。キャラクター、 props、場所がシート上の明確なパネルに表示されている必要があります。
num_frames任意
型integer
デフォルト121
9 – 481
生成する出力のフレーム数。
resolution任意
型object
デフォルト{"height":896,"width":1536}
autosquare_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
公式の2x精細化ステージ後の最終動画寸法。デフォルトでは、ワークフローの初期ステージにIngredient LoRAの学習バケット768x448を使用します。
frames_per_second任意
型number
デフォルト24
1 – 60
1秒あたりのフレーム数で表す出力動画のフレームレート。
guidance_scale任意
型number
デフォルト1
1 – 20
classifier-free guidanceの強度。
ingredient_strength任意
型number
デフォルト1
0 – 2
含まれるIngredient IC-LoRAのこの強度を上げると、参照シートの人物や props がより目立ちます。
reference_strength任意
型number
デフォルト1
0 – 2
参照シートのガイダンス強度。下げるとモデルの自由度が増し、1.0ではシートを完全に適用します。
generate_audio任意
型boolean
デフォルトtrue
返却するMP4の音声トラック切り替え。オフでは動画のみのファイル、オンでは音声付きになります。
negative_prompt任意
型string
デフォルトworst quality, inconsistent motion, blurry, jittery, distorted
生成で避ける内容を指定するネガティブプロンプト。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
enable_prompt_expansion任意
型boolean
デフォルトtrue
プロンプト拡張を有効にするかどうかを制御します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを有効にするかどうかを制御します。
video_quality任意
型enum
デフォルトhigh
lowmediumhighmaximum
出力動画に適用する品質プリセット。
video_write_mode任意
型enum
デフォルトbalanced
fastbalancedsmall
結果動画の書き込みモード。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-quality/ingredient",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。
seed
integer生成時に実際に適用されたシード。
prompt
string使用前に拡張された内容を含む生成プロンプト。

その他のモデル: 画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx-2.3-quality/ingredient.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt